
$(document).ready(function () {
    // Function to fetch related tasks based on epic ID
    function fetchRelatedTasks(epicId) {

        $.ajax({
            type: "GET",
            url: "/get_tasks/" + epicId + "/",
            success: function (data) {
                // console.log("Ajax call success. Data received:", data);

                $("#epicRelatedTasksContainer").html(data);
            },
            error: function (xhr, status, error) {
                console.log("Ajax call failed. Error details:");
                console.log("XHR Object:", xhr);
                console.log("Status:", status);
                console.log("Error:", error);
            }
        });
    }

    $("select#epicSelect").change(function () {
        // Get the selected option's value
        var selectedEpicId = $(this).val();

        if (selectedEpicId) {
            // Fetch related tasks based on the selected epic
            fetchRelatedTasks(selectedEpicId);
        }
    });

    $('#epicSelect').change(function () {
        var selectedEpic = $(this).find(':selected');
        var startDate = selectedEpic.data('start-date');
        var endDate = selectedEpic.data('end-date');

        if (startDate && endDate) {
            $('#epicDetails').removeClass('hidden');
            $('#epicDetails span#startDate').text(startDate);
            $('#epicDetails span#endDate').text(endDate);
        } else {
            $('#epicDetails').addClass('hidden');
        }
    });
});